## libarchive 3.0.3

=== libarchive/CMakeLists.txt ===

############################################
#
# How to build libarchive
#
############################################

# Public headers
SET(include_HEADERS
  archive.h
  archive_entry.h
)

# Sources and private headers
SET(libarchive_SOURCES
  archive_acl.c
  archive_check_magic.c
  archive_crypto.c
  archive_crypto_private.h
  archive_endian.h
  archive_entry.c
  archive_entry.h
  archive_entry_copy_stat.c
  archive_entry_link_resolver.c
  archive_entry_locale.h
  archive_entry_private.h
  archive_entry_sparse.c
  archive_entry_stat.c
  archive_entry_strmode.c
  archive_entry_xattr.c
  archive_options.c
  archive_options_private.h
  archive_platform.h
  archive_ppmd_private.h
  archive_ppmd7.c
  archive_ppmd7_private.h
  archive_private.h
  archive_rb.c
  archive_rb.h
  archive_read.c
  archive_read_data_into_fd.c
  archive_read_disk_entry_from_file.c
  archive_read_disk_posix.c
  archive_read_disk_private.h
  archive_read_disk_set_standard_lookup.c
  archive_read_extract.c
  archive_read_open_fd.c
  archive_read_open_file.c
  archive_read_open_filename.c
  archive_read_open_memory.c
  archive_read_private.h
  archive_read_set_options.c
  archive_read_support_filter_all.c
  archive_read_support_filter_bzip2.c
  archive_read_support_filter_compress.c
  archive_read_support_filter_gzip.c
  archive_read_support_filter_none.c
  archive_read_support_filter_program.c
  archive_read_support_filter_rpm.c
  archive_read_support_filter_uu.c
  archive_read_support_filter_xz.c
  archive_read_support_format_7zip.c
  archive_read_support_format_all.c
  archive_read_support_format_ar.c
  archive_read_support_format_by_code.c
  archive_read_support_format_cab.c
  archive_read_support_format_cpio.c
  archive_read_support_format_empty.c
  archive_read_support_format_iso9660.c
  archive_read_support_format_lha.c
  archive_read_support_format_mtree.c
  archive_read_support_format_rar.c
  archive_read_support_format_raw.c
  archive_read_support_format_tar.c
  archive_read_support_format_xar.c
  archive_read_support_format_zip.c
  archive_string.c
  archive_string.h
  archive_string_composition.h
  archive_string_sprintf.c
  archive_util.c
  archive_virtual.c
  archive_write.c
  archive_write_disk_posix.c
  archive_write_disk_private.h
  archive_write_disk_set_standard_lookup.c
  archive_write_private.h
  archive_write_open_fd.c
  archive_write_open_file.c
  archive_write_open_filename.c
  archive_write_open_memory.c
  archive_write_add_filter_bzip2.c
  archive_write_add_filter_compress.c
  archive_write_add_filter_gzip.c
  archive_write_add_filter_none.c
  archive_write_add_filter_program.c
  archive_write_add_filter_xz.c
  archive_write_set_format.c
  archive_write_set_format_7zip.c
  archive_write_set_format_ar.c
  archive_write_set_format_by_name.c
  archive_write_set_format_cpio.c
  archive_write_set_format_cpio_newc.c
  archive_write_set_format_gnutar.c
  archive_write_set_format_iso9660.c
  archive_write_set_format_mtree.c
  archive_write_set_format_pax.c
  archive_write_set_format_shar.c
  archive_write_set_format_ustar.c
  archive_write_set_format_xar.c
  archive_write_set_format_zip.c
  archive_write_set_options.c
  filter_fork.c
  filter_fork.h
)

# Man pages
SET(libarchive_MANS
  archive_entry.3
  archive_entry_acl.3
  archive_entry_linkify.3
  archive_entry_paths.3
  archive_entry_perms.3
  archive_entry_stat.3
  archive_entry_time.3
  archive_read.3
  archive_read_disk.3
  archive_read_set_options.3
  archive_util.3
  archive_write.3
  archive_write_disk.3
  archive_write_set_options.3
  cpio.5
  libarchive.3
  libarchive_internals.3
  libarchive-formats.5
  mtree.5
  tar.5
)

IF(WIN32 AND NOT CYGWIN)
  LIST(APPEND libarchive_SOURCES archive_entry_copy_bhfi.c)
  LIST(APPEND libarchive_SOURCES archive_read_disk_windows.c)
  LIST(APPEND libarchive_SOURCES archive_windows.c)
  LIST(APPEND libarchive_SOURCES archive_windows.h)
  LIST(APPEND libarchive_SOURCES archive_write_disk_windows.c)
  LIST(APPEND libarchive_SOURCES filter_fork_windows.c)
ENDIF(WIN32 AND NOT CYGWIN)

# Libarchive is a shared library
ADD_LIBRARY(archive SHARED ${libarchive_SOURCES} ${include_HEADERS})
TARGET_LINK_LIBRARIES(archive ${ADDITIONAL_LIBS})
SET_TARGET_PROPERTIES(archive PROPERTIES SOVERSION ${SOVERSION})

# archive_static is a static library
ADD_LIBRARY(archive_static STATIC ${libarchive_SOURCES} ${include_HEADERS})
SET_TARGET_PROPERTIES(archive_static PROPERTIES COMPILE_DEFINITIONS
  LIBARCHIVE_STATIC)
# On Posix systems, libarchive.so and libarchive.a can co-exist.
IF(NOT WIN32 OR CYGWIN)
  SET_TARGET_PROPERTIES(archive_static PROPERTIES OUTPUT_NAME archive)
ENDIF(NOT WIN32 OR CYGWIN)

# How to install the libraries
INSTALL(TARGETS archive archive_static
        RUNTIME DESTINATION bin
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)
INSTALL_MAN(${libarchive_MANS})
INSTALL(FILES ${include_HEADERS} DESTINATION include)

add_subdirectory(test)

=== doc/html/Makefile ===

default: all


archive_entry.3.html: ../../libarchive/archive_entry.3
	groff -mdoc2html ../../libarchive/archive_entry.3 > archive_entry.3.html

archive_entry_acl.3.html: ../../libarchive/archive_entry_acl.3
	groff -mdoc2html ../../libarchive/archive_entry_acl.3 > archive_entry_acl.3.html

archive_entry_linkify.3.html: ../../libarchive/archive_entry_linkify.3
	groff -mdoc2html ../../libarchive/archive_entry_linkify.3 > archive_entry_linkify.3.html

archive_entry_paths.3.html: ../../libarchive/archive_entry_paths.3
	groff -mdoc2html ../../libarchive/archive_entry_paths.3 > archive_entry_paths.3.html

archive_entry_perms.3.html: ../../libarchive/archive_entry_perms.3
	groff -mdoc2html ../../libarchive/archive_entry_perms.3 > archive_entry_perms.3.html

archive_entry_stat.3.html: ../../libarchive/archive_entry_stat.3
	groff -mdoc2html ../../libarchive/archive_entry_stat.3 > archive_entry_stat.3.html

archive_entry_time.3.html: ../../libarchive/archive_entry_time.3
	groff -mdoc2html ../../libarchive/archive_entry_time.3 > archive_entry_time.3.html

archive_read.3.html: ../../libarchive/archive_read.3
	groff -mdoc2html ../../libarchive/archive_read.3 > archive_read.3.html

archive_read_disk.3.html: ../../libarchive/archive_read_disk.3
	groff -mdoc2html ../../libarchive/archive_read_disk.3 > archive_read_disk.3.html

archive_read_set_options.3.html: ../../libarchive/archive_read_set_options.3
	groff -mdoc2html ../../libarchive/archive_read_set_options.3 > archive_read_set_options.3.html

archive_util.3.html: ../../libarchive/archive_util.3
	groff -mdoc2html ../../libarchive/archive_util.3 > archive_util.3.html

archive_write.3.html: ../../libarchive/archive_write.3
	groff -mdoc2html ../../libarchive/archive_write.3 > archive_write.3.html

archive_write_disk.3.html: ../../libarchive/archive_write_disk.3
	groff -mdoc2html ../../libarchive/archive_write_disk.3 > archive_write_disk.3.html

archive_write_set_options.3.html: ../../libarchive/archive_write_set_options.3
	groff -mdoc2html ../../libarchive/archive_write_set_options.3 > archive_write_set_options.3.html

cpio.5.html: ../../libarchive/cpio.5
	groff -mdoc2html ../../libarchive/cpio.5 > cpio.5.html

libarchive-formats.5.html: ../../libarchive/libarchive-formats.5
	groff -mdoc2html ../../libarchive/libarchive-formats.5 > libarchive-formats.5.html

libarchive.3.html: ../../libarchive/libarchive.3
	groff -mdoc2html ../../libarchive/libarchive.3 > libarchive.3.html

libarchive_internals.3.html: ../../libarchive/libarchive_internals.3
	groff -mdoc2html ../../libarchive/libarchive_internals.3 > libarchive_internals.3.html

mtree.5.html: ../../libarchive/mtree.5
	groff -mdoc2html ../../libarchive/mtree.5 > mtree.5.html

tar.5.html: ../../libarchive/tar.5
	groff -mdoc2html ../../libarchive/tar.5 > tar.5.html

bsdtar.1.html: ../../tar/bsdtar.1
	groff -mdoc2html ../../tar/bsdtar.1 > bsdtar.1.html

bsdcpio.1.html: ../../cpio/bsdcpio.1
	groff -mdoc2html ../../cpio/bsdcpio.1 > bsdcpio.1.html
all: archive_entry.3.html archive_entry_acl.3.html archive_entry_linkify.3.html archive_entry_paths.3.html archive_entry_perms.3.html archive_entry_stat.3.html archive_entry_time.3.html archive_read.3.html archive_read_disk.3.html archive_read_set_options.3.html archive_util.3.html archive_write.3.html archive_write_disk.3.html archive_write_set_options.3.html cpio.5.html libarchive-formats.5.html libarchive.3.html libarchive_internals.3.html mtree.5.html tar.5.html bsdtar.1.html bsdcpio.1.html

=== doc/pdf/Makefile ===

default: all


archive_entry.3.pdf: ../../libarchive/archive_entry.3
	groff -mdoc -T ps ../../libarchive/archive_entry.3 | ps2pdf - - > archive_entry.3.pdf

archive_entry_acl.3.pdf: ../../libarchive/archive_entry_acl.3
	groff -mdoc -T ps ../../libarchive/archive_entry_acl.3 | ps2pdf - - > archive_entry_acl.3.pdf

archive_entry_linkify.3.pdf: ../../libarchive/archive_entry_linkify.3
	groff -mdoc -T ps ../../libarchive/archive_entry_linkify.3 | ps2pdf - - > archive_entry_linkify.3.pdf

archive_entry_paths.3.pdf: ../../libarchive/archive_entry_paths.3
	groff -mdoc -T ps ../../libarchive/archive_entry_paths.3 | ps2pdf - - > archive_entry_paths.3.pdf

archive_entry_perms.3.pdf: ../../libarchive/archive_entry_perms.3
	groff -mdoc -T ps ../../libarchive/archive_entry_perms.3 | ps2pdf - - > archive_entry_perms.3.pdf

archive_entry_stat.3.pdf: ../../libarchive/archive_entry_stat.3
	groff -mdoc -T ps ../../libarchive/archive_entry_stat.3 | ps2pdf - - > archive_entry_stat.3.pdf

archive_entry_time.3.pdf: ../../libarchive/archive_entry_time.3
	groff -mdoc -T ps ../../libarchive/archive_entry_time.3 | ps2pdf - - > archive_entry_time.3.pdf

archive_read.3.pdf: ../../libarchive/archive_read.3
	groff -mdoc -T ps ../../libarchive/archive_read.3 | ps2pdf - - > archive_read.3.pdf

archive_read_disk.3.pdf: ../../libarchive/archive_read_disk.3
	groff -mdoc -T ps ../../libarchive/archive_read_disk.3 | ps2pdf - - > archive_read_disk.3.pdf

archive_read_set_options.3.pdf: ../../libarchive/archive_read_set_options.3
	groff -mdoc -T ps ../../libarchive/archive_read_set_options.3 | ps2pdf - - > archive_read_set_options.3.pdf

archive_util.3.pdf: ../../libarchive/archive_util.3
	groff -mdoc -T ps ../../libarchive/archive_util.3 | ps2pdf - - > archive_util.3.pdf

archive_write.3.pdf: ../../libarchive/archive_write.3
	groff -mdoc -T ps ../../libarchive/archive_write.3 | ps2pdf - - > archive_write.3.pdf

archive_write_disk.3.pdf: ../../libarchive/archive_write_disk.3
	groff -mdoc -T ps ../../libarchive/archive_write_disk.3 | ps2pdf - - > archive_write_disk.3.pdf

archive_write_set_options.3.pdf: ../../libarchive/archive_write_set_options.3
	groff -mdoc -T ps ../../libarchive/archive_write_set_options.3 | ps2pdf - - > archive_write_set_options.3.pdf

cpio.5.pdf: ../../libarchive/cpio.5
	groff -mdoc -T ps ../../libarchive/cpio.5 | ps2pdf - - > cpio.5.pdf

libarchive-formats.5.pdf: ../../libarchive/libarchive-formats.5
	groff -mdoc -T ps ../../libarchive/libarchive-formats.5 | ps2pdf - - > libarchive-formats.5.pdf

libarchive.3.pdf: ../../libarchive/libarchive.3
	groff -mdoc -T ps ../../libarchive/libarchive.3 | ps2pdf - - > libarchive.3.pdf

libarchive_internals.3.pdf: ../../libarchive/libarchive_internals.3
	groff -mdoc -T ps ../../libarchive/libarchive_internals.3 | ps2pdf - - > libarchive_internals.3.pdf

mtree.5.pdf: ../../libarchive/mtree.5
	groff -mdoc -T ps ../../libarchive/mtree.5 | ps2pdf - - > mtree.5.pdf

tar.5.pdf: ../../libarchive/tar.5
	groff -mdoc -T ps ../../libarchive/tar.5 | ps2pdf - - > tar.5.pdf

bsdtar.1.pdf: ../../tar/bsdtar.1
	groff -mdoc -T ps ../../tar/bsdtar.1 | ps2pdf - - > bsdtar.1.pdf

bsdcpio.1.pdf: ../../cpio/bsdcpio.1
	groff -mdoc -T ps ../../cpio/bsdcpio.1 | ps2pdf - - > bsdcpio.1.pdf
all: archive_entry.3.pdf archive_entry_acl.3.pdf archive_entry_linkify.3.pdf archive_entry_paths.3.pdf archive_entry_perms.3.pdf archive_entry_stat.3.pdf archive_entry_time.3.pdf archive_read.3.pdf archive_read_disk.3.pdf archive_read_set_options.3.pdf archive_util.3.pdf archive_write.3.pdf archive_write_disk.3.pdf archive_write_set_options.3.pdf cpio.5.pdf libarchive-formats.5.pdf libarchive.3.pdf libarchive_internals.3.pdf mtree.5.pdf tar.5.pdf bsdtar.1.pdf bsdcpio.1.pdf

=== libarchive/test/CMakeLists.txt ===
############################################
#
# How to build libarchive_test
#
############################################
IF(ENABLE_TEST)
  SET(libarchive_test_SOURCES
   main.c
    read_open_memory.c
    test.h
    test_acl_freebsd.c
    test_acl_nfs4.c
    test_acl_pax.c
    test_acl_posix1e.c
    test_archive_api_feature.c
    test_archive_clear_error.c
    test_archive_crypto.c
    test_archive_read_close_twice.c
    test_archive_read_close_twice_open_fd.c
    test_archive_read_close_twice_open_filename.c
    test_archive_read_next_header_empty.c
    test_archive_read_next_header_raw.c
    test_archive_read_open2.c
    test_archive_read_set_filter_option.c
    test_archive_read_set_format_option.c
    test_archive_read_set_option.c
    test_archive_read_set_options.c
    test_archive_read_support.c
    test_archive_set_error.c
    test_archive_string.c
    test_archive_string_conversion.c
    test_archive_write_set_filter_option.c
    test_archive_write_set_format_option.c
    test_archive_write_set_option.c
    test_archive_write_set_options.c
    test_bad_fd.c
    test_compat_bzip2.c
    test_compat_cpio.c
    test_compat_gtar.c
    test_compat_gzip.c
    test_compat_lzip.c
    test_compat_lzma.c
    test_compat_mac.c
    test_compat_pax_libarchive_2x.c
    test_compat_solaris_tar_acl.c
    test_compat_solaris_pax_sparse.c
    test_compat_tar_hardlink.c
    test_compat_xz.c
    test_compat_zip.c
    test_empty_write.c
    test_entry.c
    test_entry_strmode.c
    test_extattr_freebsd.c
    test_filter_count.c
    test_fuzz.c
    test_gnutar_filename_encoding.c
    test_link_resolver.c
    test_open_failure.c
    test_open_fd.c
    test_open_file.c
    test_open_filename.c
    test_pax_filename_encoding.c
    test_read_compress_program.c
    test_read_data_large.c
    test_read_disk.c
    test_read_disk_directory_traversals.c
    test_read_disk_entry_from_file.c
    test_read_extract.c
    test_read_file_nonexistent.c
    test_read_format_7zip.c
    test_read_format_ar.c
    test_read_format_cab.c
    test_read_format_cab_filename.c
    test_read_format_cpio_afio.c
    test_read_format_cpio_bin.c
    test_read_format_cpio_bin_Z.c
    test_read_format_cpio_bin_be.c
    test_read_format_cpio_bin_bz2.c
    test_read_format_cpio_bin_gz.c
    test_read_format_cpio_bin_lzip.c
    test_read_format_cpio_bin_lzma.c
    test_read_format_cpio_bin_xz.c
    test_read_format_cpio_filename.c
    test_read_format_cpio_odc.c
    test_read_format_cpio_svr4_bzip2_rpm.c
    test_read_format_cpio_svr4_gzip.c
    test_read_format_cpio_svr4_gzip_rpm.c
    test_read_format_cpio_svr4c_Z.c
    test_read_format_empty.c
    test_read_format_gtar_filename.c
    test_read_format_gtar_gz.c
    test_read_format_gtar_lzma.c
    test_read_format_gtar_sparse.c
    test_read_format_iso_Z.c
    test_read_format_iso_multi_extent.c
    test_read_format_iso_xorriso.c
    test_read_format_isojoliet_bz2.c
    test_read_format_isojoliet_long.c
    test_read_format_isojoliet_rr.c
    test_read_format_isojoliet_versioned.c
    test_read_format_isorr_bz2.c
    test_read_format_isorr_ce.c
    test_read_format_isorr_new_bz2.c
    test_read_format_isorr_rr_moved.c
    test_read_format_isozisofs_bz2.c
    test_read_format_lha.c
    test_read_format_lha_filename.c
    test_read_format_mtree.c
    test_read_format_pax_bz2.c
    test_read_format_rar.c
    test_read_format_raw.c
    test_read_format_tar.c
    test_read_format_tar_empty_filename.c
    test_read_format_tar_filename.c
    test_read_format_tbz.c
    test_read_format_tgz.c
    test_read_format_tlz.c
    test_read_format_txz.c
    test_read_format_tz.c
    test_read_format_ustar_filename.c
    test_read_format_xar.c
    test_read_format_zip.c
    test_read_format_zip_filename.c
    test_read_large.c
    test_read_pax_truncated.c
    test_read_position.c
    test_read_truncated.c
    test_read_truncated_filter.c
    test_read_uu.c
    test_sparse_basic.c
    test_tar_filenames.c
    test_tar_large.c
    test_ustar_filenames.c
    test_ustar_filename_encoding.c
    test_write_compress.c
    test_write_compress_bzip2.c
    test_write_compress_gzip.c
    test_write_compress_lzip.c
    test_write_compress_lzma.c
    test_write_compress_program.c
    test_write_compress_xz.c
    test_write_disk.c
    test_write_disk_failures.c
    test_write_disk_hardlink.c
    test_write_disk_lookup.c
    test_write_disk_perms.c
    test_write_disk_secure.c
    test_write_disk_sparse.c
    test_write_disk_symlink.c
    test_write_disk_times.c
    test_write_format_7zip.c
    test_write_format_ar.c
    test_write_format_cpio.c
    test_write_format_cpio_empty.c
    test_write_format_cpio_newc.c
    test_write_format_cpio_odc.c
    test_write_format_gnutar.c
    test_write_format_iso9660.c
    test_write_format_iso9660_boot.c
    test_write_format_iso9660_empty.c
    test_write_format_iso9660_filename.c
    test_write_format_iso9660_zisofs.c
    test_write_format_mtree.c
    test_write_format_mtree_fflags.c
    test_write_format_pax.c
    test_write_format_shar_empty.c
    test_write_format_tar.c
    test_write_format_tar_empty.c
    test_write_format_tar_sparse.c
    test_write_format_tar_ustar.c
    test_write_format_xar.c
    test_write_format_xar_empty.c
    test_write_format_zip.c
    test_write_format_zip_empty.c
    test_write_format_zip_no_compression.c
    test_write_open_memory.c
    test_zip_filename_encoding.c
  )

  #
  # Register target
  #
  ADD_EXECUTABLE(libarchive_test ${libarchive_test_SOURCES})
  TARGET_LINK_LIBRARIES(libarchive_test archive_static ${ADDITIONAL_LIBS})
  SET_PROPERTY(TARGET libarchive_test PROPERTY COMPILE_DEFINITIONS
    LIBARCHIVE_STATIC LIST_H)

  #
  # Generate list.h by grepping DEFINE_TEST() lines out of the C sources.
  #
  GENERATE_LIST_H(${CMAKE_CURRENT_BINARY_DIR}/list.h
    ${CMAKE_CURRENT_LIST_FILE} ${libarchive_test_SOURCES})
  SET_PROPERTY(DIRECTORY APPEND PROPERTY INCLUDE_DIRECTORIES
    ${CMAKE_CURRENT_BINARY_DIR})

  # list.h has a line DEFINE_TEST(testname) for every
  # test.  We can use that to define the tests for cmake by
  # defining a DEFINE_TEST macro and reading list.h in.
  MACRO (DEFINE_TEST _testname)
    ADD_TEST(
      NAME libarchive_${_testname}
      COMMAND libarchive_test -vv
                              -r ${CMAKE_CURRENT_SOURCE_DIR}
                              ${_testname})
  ENDMACRO (DEFINE_TEST _testname)

  INCLUDE(${CMAKE_CURRENT_BINARY_DIR}/list.h)

  # Experimental new test handling
  ADD_CUSTOM_TARGET(run_libarchive_test
	COMMAND	libarchive_test -r ${CMAKE_CURRENT_SOURCE_DIR})
  ADD_DEPENDENCIES(run_all_tests run_libarchive_test)
ENDIF(ENABLE_TEST)

=== debian/changelog ===
libarchive (3.0.3-7) unstable; urgency=low

  * Allow the dev package to be multi-arch installable.
  * Set verbosity level to 1 for test programs. This incorporates upstream
    commit 7cd65cd07cfa2693455d174049b4887434041695. (Closes: #662716)
  * Fixup package description about ISO support. (Closes: #659651)

 -- Andres Mejia <amejia@debian.org>  Fri, 16 Mar 2012 16:21:21 -0400

libarchive (3.0.3-6) unstable; urgency=low

  * Add patch to fix infinite loop in xps files (Closes: #662603)
    - Thanks for the patch to Savvas Radevic!

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 05 Mar 2012 16:23:05 +0100

libarchive (3.0.3-5) unstable; urgency=low

  * Detect if locales or locales-all is installed for use with test suite.
  * Bump Standards-Version to 3.9.3.

 -- Andres Mejia <amejia@debian.org>  Thu, 23 Feb 2012 19:29:24 -0500

libarchive (3.0.3-4) unstable; urgency=low

  * Ensure tests are not run via root. (Closes: #659294)

 -- Andres Mejia <amejia@debian.org>  Tue, 21 Feb 2012 16:01:26 -0500

libarchive (3.0.3-3) unstable; urgency=low

  * Update watch file to use new home for downloads.

 -- Andres Mejia <amejia@debian.org>  Mon, 06 Feb 2012 17:04:34 -0500

libarchive (3.0.3-2) unstable; urgency=low

  * Upload to unstable.
  * Update homepage to libarchive's new home.

 -- Andres Mejia <amejia@debian.org>  Mon, 06 Feb 2012 16:37:07 -0500

libarchive (3.0.3-1) experimental; urgency=low

  * New upstream release.
  * Fix for hurd build failure included in new release. (Closes: #653458)
  * Update copyright file.

 -- Andres Mejia <amejia@debian.org>  Mon, 16 Jan 2012 11:49:46 -0500

=== debian/control ===
Source: libarchive
Priority: optional
Maintainer: Debian Libarchive Maintainers <ah-libarchive@debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Andres Mejia <amejia@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
               libbz2-dev,
               liblzma-dev,
               libxml2-dev,
               zlib1g-dev,
               libacl1-dev [!hurd-any],
               e2fslibs-dev,
               libattr1-dev,
               sharutils,
               nettle-dev,
               locales | locales-all
Standards-Version: 3.9.3
Section: libs
Homepage: http://libarchive.github.com/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libarchive.git
Vcs-Git: git://anonscm.debian.org/collab-maint/libarchive.git

Package: libarchive-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libarchive12 (= ${binary:Version}), ${misc:Depends}
Replaces: libarchive1 (<< 2.8.5-3)
Breaks: libarchive1 (<< 2.8.5-3)
Description: Multi-format archive and compression library (development files)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
 .
 This package provides the files necessary for development with libarchive.

Package: libarchive12
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Multi-format archive and compression library (shared library)
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2. The library is inherently stream-oriented; readers serially
 iterate through the archive, writers serially add things to the archive.
 .
 Archive formats supported are:
 .
    * tar (read and write, including GNU extensions)
    * pax (read and write, including GNU and star extensions)
    * cpio (read and write, including odc and newc variants)
    * iso9660 (read and write, including Joliet and Rockridge extensions, with
      some limitations)
    * zip (read only, with some limitations, uses zlib)
    * mtree (read and write)
    * shar (write only)
    * ar (read and write, including BSD and GNU/SysV variants)
    * empty (read only; in particular, note that no other format will accept an
      empty file)
    * raw (read only)
    * xar (read only)
    * rar (read only, with some limitations)
    * 7zip (read and write, with some limitations)
 .
 Filters supported are:
 .
    * gzip (read and write, uses zlib)
    * bzip2 (read and write, uses bzlib)
    * compress (read and write, uses an internal implementation)
    * uudecode (read only)
    * separate command-line compressors with fixed-signature auto-detection
    * xz and lzma (read and write using liblzma)
 .
 This package provides the libarchive shared library.

Package: bsdtar
Architecture: any
Depends: libarchive12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdcpio
Description: Implementation of the 'tar' program from FreeBSD
 The bsdtar program is the default system 'tar' program used on FreeBSD. bsdtar
 uses the libarchive library as a backend which does all of the work for reading
 and writing archives in various formats.

Package: bsdcpio
Architecture: any
Depends: libarchive12 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Section: utils
Suggests: bsdtar
Description: Implementation of the 'cpio' program from FreeBSD
 The bsdcpio program is the default system 'cpio' program used on FreeBSD.
 bsdcpio uses the libarchive library as a backend which does all of the work for
 reading and writing archives in various formats.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: build

%:
	dh $@ --parallel

build:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --without-openssl --with-nettle \
		--enable-bsdtar=shared --enable-bsdcpio=shared

override_dh_auto_test:
ifneq (,$(shell locale -a | grep en_US.utf8))
	_VERBOSITY_LEVEL=1 dh_auto_test --parallel
else
	mkdir -p tmp-locales
	localedef -i /usr/share/i18n/locales/en_US -c -f UTF-8 \
		-A /usr/share/locale/locale.alias tmp-locales/en_US.UTF-8
	_VERBOSITY_LEVEL=1 LOCPATH=$(CURDIR)/tmp-locales dh_auto_test --parallel
	rm -rf tmp-locales
endif

## libarchive 3.0.4

=== libarchive/CMakeLists.txt ===
--- 
+++ 
@@ -28,8 +28,12 @@
   archive_entry_stat.c
   archive_entry_strmode.c
   archive_entry_xattr.c
+  archive_getdate.c
+  archive_match.c
   archive_options.c
   archive_options_private.h
+  archive_pathmatch.c
+  archive_pathmatch.h
   archive_platform.h
   archive_ppmd_private.h
   archive_ppmd7.c
@@ -89,6 +93,7 @@
   archive_write_open_file.c
   archive_write_open_filename.c
   archive_write_open_memory.c
+  archive_write_add_filter.c
   archive_write_add_filter_bzip2.c
   archive_write_add_filter_compress.c
   archive_write_add_filter_gzip.c

=== doc/html/Makefile ===

default: all


archive_entry.3.html: ../../libarchive/archive_entry.3
	groff -mdoc -T html ../../libarchive/archive_entry.3 > archive_entry.3.html

archive_entry_acl.3.html: ../../libarchive/archive_entry_acl.3
	groff -mdoc -T html ../../libarchive/archive_entry_acl.3 > archive_entry_acl.3.html

archive_entry_linkify.3.html: ../../libarchive/archive_entry_linkify.3
	groff -mdoc -T html ../../libarchive/archive_entry_linkify.3 > archive_entry_linkify.3.html

archive_entry_paths.3.html: ../../libarchive/archive_entry_paths.3
	groff -mdoc -T html ../../libarchive/archive_entry_paths.3 > archive_entry_paths.3.html

archive_entry_perms.3.html: ../../libarchive/archive_entry_perms.3
	groff -mdoc -T html ../../libarchive/archive_entry_perms.3 > archive_entry_perms.3.html

archive_entry_stat.3.html: ../../libarchive/archive_entry_stat.3
	groff -mdoc -T html ../../libarchive/archive_entry_stat.3 > archive_entry_stat.3.html

archive_entry_time.3.html: ../../libarchive/archive_entry_time.3
	groff -mdoc -T html ../../libarchive/archive_entry_time.3 > archive_entry_time.3.html

archive_read.3.html: ../../libarchive/archive_read.3
	groff -mdoc -T html ../../libarchive/archive_read.3 > archive_read.3.html

archive_read_disk.3.html: ../../libarchive/archive_read_disk.3
	groff -mdoc -T html ../../libarchive/archive_read_disk.3 > archive_read_disk.3.html

archive_read_set_options.3.html: ../../libarchive/archive_read_set_options.3
	groff -mdoc -T html ../../libarchive/archive_read_set_options.3 > archive_read_set_options.3.html

archive_util.3.html: ../../libarchive/archive_util.3
	groff -mdoc -T html ../../libarchive/archive_util.3 > archive_util.3.html

archive_write.3.html: ../../libarchive/archive_write.3
	groff -mdoc -T html ../../libarchive/archive_write.3 > archive_write.3.html

archive_write_disk.3.html: ../../libarchive/archive_write_disk.3
	groff -mdoc -T html ../../libarchive/archive_write_disk.3 > archive_write_disk.3.html

archive_write_set_options.3.html: ../../libarchive/archive_write_set_options.3
	groff -mdoc -T html ../../libarchive/archive_write_set_options.3 > archive_write_set_options.3.html

cpio.5.html: ../../libarchive/cpio.5
	groff -mdoc -T html ../../libarchive/cpio.5 > cpio.5.html

libarchive-formats.5.html: ../../libarchive/libarchive-formats.5
	groff -mdoc -T html ../../libarchive/libarchive-formats.5 > libarchive-formats.5.html

libarchive.3.html: ../../libarchive/libarchive.3
	groff -mdoc -T html ../../libarchive/libarchive.3 > libarchive.3.html

libarchive_internals.3.html: ../../libarchive/libarchive_internals.3
	groff -mdoc -T html ../../libarchive/libarchive_internals.3 > libarchive_internals.3.html

mtree.5.html: ../../libarchive/mtree.5
	groff -mdoc -T html ../../libarchive/mtree.5 > mtree.5.html

tar.5.html: ../../libarchive/tar.5
	groff -mdoc -T html ../../libarchive/tar.5 > tar.5.html

bsdtar.1.html: ../../tar/bsdtar.1
	groff -mdoc -T html ../../tar/bsdtar.1 > bsdtar.1.html

bsdcpio.1.html: ../../cpio/bsdcpio.1
	groff -mdoc -T html ../../cpio/bsdcpio.1 > bsdcpio.1.html
all: archive_entry.3.html archive_entry_acl.3.html archive_entry_linkify.3.html archive_entry_paths.3.html archive_entry_perms.3.html archive_entry_stat.3.html archive_entry_time.3.html archive_read.3.html archive_read_disk.3.html archive_read_set_options.3.html archive_util.3.html archive_write.3.html archive_write_disk.3.html archive_write_set_options.3.html cpio.5.html libarchive-formats.5.html libarchive.3.html libarchive_internals.3.html mtree.5.html tar.5.html bsdtar.1.html bsdcpio.1.html

=== tar/test/CMakeLists.txt ===
############################################
#
# How to build bsdtar_test
#
############################################
IF(ENABLE_TAR AND ENABLE_TEST)
  SET(bsdtar_test_SOURCES
    main.c
    test.h
    test_0.c
    test_basic.c
    test_copy.c
    test_empty_mtree.c
    test_format_newc.c
    test_help.c
    test_option_C_upper.c
    test_option_H_upper.c
    test_option_L_upper.c
    test_option_O_upper.c
    test_option_T_upper.c
    test_option_U_upper.c
    test_option_X_upper.c
    test_option_b.c
    test_option_exclude.c
    test_option_gid_gname.c
    test_option_k.c
    test_option_keep_newer_files.c
    test_option_n.c
    test_option_newer_than.c
    test_option_nodump.c
    test_option_q.c
    test_option_r.c
    test_option_s.c
    test_option_uid_uname.c
    test_patterns.c
    test_print_longpath.c
    test_stdio.c
    test_strip_components.c
    test_symlink_dir.c
    test_version.c
    test_windows.c
  )

  #
  # Register target
  #
  ADD_EXECUTABLE(bsdtar_test ${bsdtar_test_SOURCES})
  SET_PROPERTY(TARGET bsdtar_test PROPERTY COMPILE_DEFINITIONS LIST_H)

  #
  # Generate list.h by grepping DEFINE_TEST() lines out of the C sources.
  #
  GENERATE_LIST_H(${CMAKE_CURRENT_BINARY_DIR}/list.h
    ${CMAKE_CURRENT_LIST_FILE} ${bsdtar_test_SOURCES})
  SET_PROPERTY(DIRECTORY APPEND PROPERTY INCLUDE_DIRECTORIES
    ${CMAKE_CURRENT_BINARY_DIR})

  # list.h has a line DEFINE_TEST(testname) for every
  # test.  We can use that to define the tests for cmake by
  # defining a DEFINE_TEST macro and reading list.h in.
  MACRO (DEFINE_TEST _testname)
    ADD_TEST(
      NAME bsdtar_${_testname}
      COMMAND bsdtar_test -vv
                          -p $<TARGET_FILE:bsdtar>
                          -r ${CMAKE_CURRENT_SOURCE_DIR}
                          ${_testname})
  ENDMACRO (DEFINE_TEST _testname)

  INCLUDE(${CMAKE_CURRENT_BINARY_DIR}/list.h)

  # Experimental new test handling
  ADD_CUSTOM_TARGET(run_bsdtar_test
	COMMAND	bsdtar_test -p ${BSDTAR} -r ${CMAKE_CURRENT_SOURCE_DIR})
  ADD_DEPENDENCIES(run_bsdtar_test bsdtar)
  ADD_DEPENDENCIES(run_all_tests run_bsdtar_test)

ENDIF(ENABLE_TAR AND ENABLE_TEST)

=== debian/changelog ===
libarchive (3.0.4-3+wheezy6+deb7u1) wheezy-security; urgency=high

  * CVE-2017-14166: Prevent remote attackers from causing a denial of service
    via a heap-based buffer over-read using a specially-crafted .xar archive.
    (Closes: #874539)

 -- Chris Lamb <lamby@debian.org>  Fri, 08 Sep 2017 09:30:27 +0100

libarchive (3.0.4-3+wheezy6) wheezy-security; urgency=high

  [ Markus Koschany ]
  * Non-maintainer upload by the LTS team.
  * Fix CVE-2016-10349 and CVE-2016-10350: Possible heap-based buffer overread
    that might allow remote attackers to cause a denial of service via a
    crafted file. Closes: #861609

  [ Raphaël Hertzog ]
  * Fix CVE-2016-10209: possible NULL pointer dereference in
    archive_wstring_append_from_mbs via a crafted archive file.
    Closes: #859456

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 30 Jun 2017 10:21:03 +0200

libarchive (3.0.4-3+wheezy5+deb7u1) wheezy-security; urgency=high

  * CVE-2017-5601: Fix a hheap buffer overflow reported in Secunia SA74169.
    (Closes: #853278)

 -- Chris Lamb <lamby@debian.org>  Tue, 31 Jan 2017 20:38:08 +1300

libarchive (3.0.4-3+wheezy5) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2016-8687: Possible buffer overflow when printing a filename
    (Closes: #840936)
  * Fix CVE-2016-8688: Avoid out of bounds read when parsing multiple long
    lines. (Closes: #840935)
  * Fix CVE-2016-8689: Possible heap overflow reading corrupted 7Zip files.
    (Closes: #840934)

 -- Jonas Meurer <mejo@debian.org>  Mon, 17 Oct 2016 21:36:24 +0200

libarchive (3.0.4-3+wheezy4) wheezy-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2016-5418: Archive Entry with type 1 (hardlink), but has a non-zero
    data size file overwrite (Closes: #837714)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 15 Oct 2016 19:48:16 +0200

libarchive (3.0.4-3+wheezy3) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Fix CVE-2015-8915, a out of bounds read using malformed cpio archive.
  * Fix CVE-2016-7166, a denial of service bug with gzip quine.

 -- Jonas Meurer <mejo@debian.org>  Sat, 10 Sep 2016 15:20:27 +0200

libarchive (3.0.4-3+wheezy2) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Build with autoreconf to ensure that all patches and tests are applied
    and executed correctly.
  * Fix CVE-2015-8917, CVE-2015-8919, CVE-2015-8920, CVE-2015-8921,
    CVE-2015-8922, CVE-2015-8923, CVE-2015-8924, CVE-2015-8925,
    CVE-2015-8926, CVE-2015-8930, CVE-2015-8931, CVE-2015-8932,
    CVE-2015-8933, CVE-2015-8934, CVE-2016-4300, CVE-2016-4302,
    CVE-2016-4809, CVE-2016-5844 and one security issue without CVE yet.
    (TEMP-0000000-84D11B.patch)
    Several vulnerabilities were discovered in libarchive, a library for
    reading and writing archives in various formats. An attacker can take
    advantage of these flaws to cause a denial-of-service against an
    application using the libarchive library (application crash), or
    potentially execute arbitrary code with the privileges of the user running
    the application.

 -- Markus Koschany <apo@debian.org>  Thu, 21 Jul 2016 07:23:39 +0200

libarchive (3.0.4-3+wheezy1) wheezy-security; urgency=high

  * Fix directory traversal vulnerability in bsdcpio (Closes: #778266)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 05 Mar 2015 11:26:19 +0100

libarchive (3.0.4-3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use integers instead of unsigned longs in disk read/write routines, fixing
    a build failure on s390x (closes: #704769). 

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 21 Apr 2013 00:20:35 +0000

libarchive (3.0.4-3) unstable; urgency=low

  * Add patch that fixes CVE-2013-0211. (Closes: #703957)

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 27 Mar 2013 16:20:36 +0100

libarchive (3.0.4-2) unstable; urgency=low

  * Add debian/patches/gcc-4.7-fixes-from-upstream.patch
    (Closes: #674368, #672690)

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 May 2012 14:49:41 +0200

libarchive (3.0.4-1) unstable; urgency=low

  * New upstream release.
  * Patches removed, applied upstream.

 -- Andres Mejia <amejia@debian.org>  Thu, 29 Mar 2012 09:44:15 -0400

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Maintainer: Debian Libarchive Maintainers <ah-libarchive@debian.org>
 Uploaders: Andreas Henriksson <andreas@fatal.se>, Andres Mejia <amejia@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
+               dh-autoreconf,
                libbz2-dev,
                liblzma-dev,
                libxml2-dev,
